/*
 * EliasDB
 *
 * Copyright 2016 Matthias Ladkau. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

package dbfunc

import (
	"devt.de/krotik/ecal/parser"
	"devt.de/krotik/eliasdb/graph"
)

/*
RaiseGraphEventHandledFunc returns the special graph.ErrEventHandled error which a sink,
handling graph events, can return to notify the GraphManager that no further
action is necessary.
*/
type RaiseGraphEventHandledFunc struct {
}

/*
Run executes the ECAL function.
*/
func (f *RaiseGraphEventHandledFunc) Run(instanceID string, vs parser.Scope, is map[string]interface{}, tid uint64, args []interface{}) (interface{}, error) {
	return nil, graph.ErrEventHandled
}

/*
DocString returns a descriptive string.
*/
func (f *RaiseGraphEventHandledFunc) DocString() (string, error) {
	return "When handling a graph event, notify the GraphManager of EliasDB that no further action is necessary.", nil
}
